if(isObject(lob_avatar))
	lob_avatar.delete();

//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_avatar) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "235 94";
      extent = "330 411";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      text = "Avatars";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      closeCommand = "Canvas.popDialog(lob_avatar);";
	  accelerator = "escape";
	  command = "canvas.popDialog(lob_avatar);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "10 33";
         extent = "309 33";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "0 4";
            extent = "309 24";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center>Avatars";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "10 77";
         extent = "309 323";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiScrollCtrl() {
            profile = "GuiScrollProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "10 10";
            extent = "200 200";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            willFirstRespond = "0";
            hScrollBar = "alwaysOn";
            vScrollBar = "alwaysOn";
            constantThumbHeight = "0";
            childMargin = "0 0";
            rowHeight = "40";
            columnWidth = "30";

            new GuiTextListCtrl(lob_avatar_list) {
               profile = "GuiTextListProfile";
               horizSizing = "right";
               vertSizing = "bottom";
               position = "1 1";
               extent = "183 2";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               enumerate = "0";
               resizeCell = "1";
               columns = "0";
               fitParentWidth = "1";
               clipColumnText = "0";
            };
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "217 10";
            extent = "82 30";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "Change";
            groupNum = "-1";
            buttonType = "PushButton";
			command = "lob_avatar_change();";
         };
         new GuiButtonCtrl() {
            profile = "GuiButtonProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "217 51";
            extent = "82 30";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            text = "More";
            groupNum = "-1";
            buttonType = "PushButton";
         };
         new GuiSwatchCtrl() {
            profile = "GuiDefaultProfile";
            horizSizing = "right";
            vertSizing = "bottom";
            position = "10 225";
            extent = "285 85";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            color = "200 200 200 255";

            new GuiMLTextCtrl(lob_avatar_description) {
               profile = "HUDChatTextEditSize4Profile";
               horizSizing = "center";
               vertSizing = "top";
               position = "6 4";
               extent = "272 24";
               minExtent = "8 2";
               enabled = "1";
               visible = "1";
               clipToParent = "1";
               lineSpacing = "2";
               allowColorChars = "0";
               maxChars = "-1";
               maxBitmapHeight = "-1";
               selectable = "1";
               autoResize = "1";
            };
         };
      };
   };
};
//--- OBJECT WRITE END ---

function clientCmdlob_openAvatarWindow()
{
	canvas.pushDialog(lob_avatar);
}

function clientCmdlob_closeAvatarWindow()
{
	canvas.popDialog(lob_avatar);
}


function lob_avatar_list::onSelect(%this,%a,%b)
{
	%text = %this.getSelectedId();
	if(%text == -1)return false;
	%text = %this.getRowTextById(%text);
	commandToServer('getAvatarInfo',%text);
}

function clientCmdCatchAvatarDescription(%this)
{
	lob_avatar_description.setText(%this);
}

function lob_avatar::onWake(%this)
{
	lob_avatar_list.clear();
	lob_avatar_description.setText("Avatars");
	
	commandToServer('populateAvatar');
}

function clientCmdCatchAvatarData(%row,%avatar)
{
	echo(%row SPC %avatar);
	lob_avatar_list.addRow(%row,%avatar,0);
}

function lob_avatar_change()
{
	%text = lob_avatar_list.getSelectedId();
	if(%text == -1)return false;
	
	commandToServer('avatar',%text);
}