exec("./dialogue.cs");
exec("./inventory.cs");
exec("./tips.cs");
exec("./skills.cs");
exec("./smithing.cs");
exec("./bank.cs");
exec("./admin.cs");
exec("./smelting.cs");
exec("./updates.cs");
exec("./trade.cs");
exec("./dashing.cs");
exec("./music/music.cs");
exec("./vision.cs");
exec("./shop.cs");
exec("./avatar.cs");
exec("./playerViewer.cs");
exec("./avatardumper.cs");
exec("./duel.cs");

$LOB::clientVersion = 15;

if(!isFile("config/Client/Land of Blocks/DATA.txt"))
{
	%f = new fileObject();
	%f.openForWrite("config/Client/Land of Blocks/Music/DATA.txt");
	%f.writeLine("DO NOT DELETE");
	%f.close();
	%f.delete();
}

lob_hud.delete();

new GuiSwatchCtrl(lob_hud) 
{
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "64 64";
	minExtent = "8 2";
	enabled = "1";
	visible = "1";
	clipToParent = "1";
	color = "0 0 0 0";
};

function clientCmdShakeHands()
{
	commandToServer('shakeHands',$LOB::clientVersion);
}

function lob_hud::assemble(%this)
{
	%this.assembled = true;
	lob_hud.configure();
	HUD_BrickNameBG.setvisible(0);
	HUD_BrickBox.setvisible(0);
	HUD_PaintBox.setvisible(0);
	
}

function lob_hud::disassemble()
{
	%this.assembled = false;
	lob_hud.setVisible(0);
	lob_visionHud.setVisible(0);
	HUD_BrickNameBG.setvisible(1);
	HUD_BrickBox.setvisible(1);
	HUD_PaintBox.setvisible(1);
}

function lob_hud::configure(%this)
{
	if(%this.configured)
	{
		lob_hud.setVisible(1);
		%count = lob_hud.getCount();
		
		for(%i=0;%i<%count;%i++)
		{
			%o = lob_hud.getObject(%i);
			%o.setVisible(1);
		}
		
		return true;
	}

	%res = getWords(getRes(),0,1);
	%resx = getWord(%res,0);
	%resy = getWord(%res,1);
	
	%this.extent = %resx SPC 70;
	%this.position = 0 SPC %resy - 70;
	%this.configured = true;
	
	newChatHud.add(lob_hud);
}

$lob::buttonExtentx = 80;
$lob::buttonExtenty = 40;

function lob_hud::registerButton(%this,%name,%command,%icon)
{
	%res = getWords(getRes(),0,1);
	%resx = getWord(%res,0);
	%resy = getWord(%res,1);
	
	%count = lob_hud.getCount();
	
	if(%count == 0)
		%pos = "10 12";
	else
		%pos = (%count * ($lob::buttonExtentx + 10)) + 10 SPC 12;
		
	%btnObject = new GuibitmapButtonCtrl() 
	{
		profile = "GuiButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		//position = %pos;
		position = "5 5";
		extent = $lob::buttonExtentx SPC $lob::buttonExtenty;
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		text = " ";
		bitmap = "base/lob/client/images/hud_button";
		groupNum = "-1";
		buttonType = "PushButton";
		command = %command;
	};
	
	%btnObject.lob_setText(%name);
	
	%swatchObject = new guiSwatchCtrl()
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		//position = vectorSub(%pos,"-10 -10");
		position = %pos;
		extent = $lob::buttonExtentX + 8 SPC $lob::buttonExtentY + 8;
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		color = "0 0 0 0";
	};
	
	%swatchObject.add(%btnObject);
	lob_hud.add(%swatchObject);
	lob_hud.isRegistered[%name] = true;
	//lob_hud.add(%btnObject);
}

function guiBitMapButtonCtrl::lob_setText(%this,%text)
{
	if(!isObject(%this.textObject))
	{
		%textObjectX = getWord(%this.extent,0);
		%textObjectY = (getWord(%this.extent,1));
		%position = 0 SPC ((getWord(%this.extent,1) / 2) - lob_fontSizeToPixelSize(18)); 
		
		%textObject = new GuiMLTextCtrl() 
		{
			profile = "GuiMLTextProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = %position;
			extent = %textObjectX SPC %textObjectY;
			minExtent = "8 2";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			lineSpacing = "2";
			allowColorChars = "0";
			maxChars = "-1";
			maxBitmapHeight = "-1";
			selectable = "0";
			autoResize = "1";
			buttonObject = %this;
		};
		
		%event = new guiMouseEventCtrl(lob_guiMouseHud)
		{
			//class = lob_guiMouseHud;
			position = "0 0";
			extent = %textObjectX SPC %textObjectY;
			buttonObject = %this;
			textObject = %textObject;
		};
		
		%this.add(%textObject);
		%this.add(%event);
		%this.textObject = %textObject;
		%this.event = %event;
	}
	else
		%textObject = %this.textObject;

	%textObject.setText("<shadowcolor:808080><shadow:2:2><just:center><font:impact:21	>" @ %text);
}

function lob_guiMouseHud::onmousedown(%a)
{
	%a.buttonObject.performClick();
}

function clientCmdLob_Assemble()
{
	lob_hud.assemble();
}

function lob_fontSizeToPixelSize(%this)
{
	return (%this / 2.7);
}

function pullIntFromString(%this)
{
	%len = strLen(%this);
	%build = "NULL";
	
	for(%i=0;%i<%len;%i++)
	{
		%letter = getSubStr(%this,%i,1);
		
		if(%letter !$= "-" && (%letter * 1 == 0 && %letter !$= "0"))
			continue;
			
		if(%build !$= "-" && %build !$= "" && (%letter * 1 == 0 && %letter !$= "0"))
			break;
		
		if(%build $= "NULL")
			%build = "";
			
		%build = %build @ %letter;
	}
	
	return %build;
}

function clientCmdLob_killBuildingHud()
{
	playGui.schedule(100,killPaint,1);
	playgui.schedule(100,killInvHud,1);
}

function clientCmdLob_reviveBuildingHud()
{
	playGui.loadPaint();
}

function capFirstLetter(%string)
{
	if(%string !$= "")
		return strUpr(getSubStr(%string,0,1)) @ getSubStr(%string,1,strLen(%string));
}	

function clientCmdIsLobServer_bitmap()
{
	load_mapPicture.originalbitmap = load_mapPicture.bitmap;
	load_mapPicture.schedule(1,setBitmap,"add-ons/client_lob/images/LOB1");
}

package lob_client
{
	function disconnectedCleanup(%this)
	{
		parent::disconnectedCleanup(%this);
		if($LOB::supportBlockCam $= "1")
		{
			$LOB::supportBlockcam = "";
			$PREF::BC::LOADINGGUICUSTOMIMAGE = 1;
			
		}
		load_mapPicture.setBitmap(load_mapPicture.originalbitmap);
		if(lob_hud.assembled)
		{
			lob_hud.disassemble();
		}
	}
	
	function guiControl::onSleep(%this)
	{
		if(isFunction(%this,"onSleep"))
			%p = parent::onSleep(%this);
		
		return %p;
	}
	
	function GuibitmapButtonCtrl::onDelete(%this)
	{		
		if(isObject(%this.textObject))
		{
			%this.textObject.delete();
			%this.event.delete();
		}
		
		if(isFunction(%this,"onDelete"))
			%p = parent::onSleep(%this);
		
		return %p;		
	}
	
	function loadingGui::onWake(%OBJ_GUI)
	{
		%data = parent::onWake(%OBJ_GUI);
		
		if($PREF::BC::LOADINGGUICUSTOMIMAGE)
		{
			$lob::supportblockcam = true;
			$PREF::BC::LOADINGGUICUSTOMIMAGE = "";
		}
		
		commandToServer('islobserver_bitmap');
		
		return %DATA_P;
	}
};
activatePackage(lob_client);
