lob_skills.delete();
//--- OBJECT WRITE BEGIN ---
new GuiControl(lob_skills) {
   profile = "GuiDefaultProfile";
   horizSizing = "right";
   vertSizing = "bottom";
   position = "0 0";
   extent = "800 600";
   minExtent = "8 8";
   enabled = "1";
   visible = "1";
   clipToParent = "1";
   Lob = "1";

   new GuiWindowCtrl() {
      profile = "BlockWindowProfile";
      horizSizing = "center";
      vertSizing = "center";
      position = "90 41";
      extent = "619 518";
      minExtent = "8 8";
      enabled = "1";
      visible = "1";
      clipToParent = "1";
      text = "Skills";
      maxLength = "255";
      resizeWidth = "0";
      resizeHeight = "0";
      canMove = "1";
      canClose = "1";
      canMinimize = "0";
      canMaximize = "0";
      minSize = "50 50";
      command = "canvas.popDialog(lob_skills);";
	  accelerator = "escape";
      closeCommand = "Canvas.popDialog(lob_skills);";

      new GuiSwatchCtrl() {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "24 40";
         extent = "571 38";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "100 100 100 200";

         new GuiMLTextCtrl() {
            profile = "HUDChatTextEditSize4Profile";
            horizSizing = "center";
            vertSizing = "top";
            position = "1 4";
            extent = "568 24";
            minExtent = "8 2";
            enabled = "1";
            visible = "1";
            clipToParent = "1";
            lineSpacing = "2";
            allowColorChars = "0";
            maxChars = "-1";
            text = "<just:center>Skills";
            maxBitmapHeight = "-1";
            selectable = "1";
            autoResize = "1";
         };
      };
      new GuiSwatchCtrl(lob_skills_swatch) {
         profile = "GuiDefaultProfile";
         horizSizing = "right";
         vertSizing = "bottom";
         position = "24 103";
         extent = "572 392";
         minExtent = "8 2";
         enabled = "1";
         visible = "1";
         clipToParent = "1";
         color = "50 50 50 255";
      };
   };
};
//--- OBJECT WRITE END ---

$lob::skill::newRow = 4;
$lob::skill::extent = "84 84";

$lob::skill::currCount = 0;
$lob::skill::currRow = 0;

function lob_skills::registerSkill(%this,%name,%command)
{
	if(%name $= "null")
	{
		$lob::skill::currCount = 0;
		$lob::skill::currRow = 0;
		return false;
	}
	%refName = "lob_" @ strReplace(%name," ","");
	
	while(isObject(%refName))%refName.delete();
	
	%bodySwatch = new GuiSwatchCtrl(%refName) 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "1 1";
		extent = $lob::skill::extent;
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		color = "150 150 150 200";
	};
	
	%bodyTxt = new GuiMLTextCtrl() 
	{
		profile = "HUDChatTextEditSize4Profile";
		horizSizing = "center";
		vertSizing = "top";
		position = "0 " @ (getWord($Lob::skill::Extent,1)) / 2;
		extent = "84 15";
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		lineSpacing = "2";
		allowColorChars = "0";
		maxChars = "-1";
		text = "<font:impact:15><just:center>" @ %name;
		maxBitmapHeight = "-1";
		selectable = "0";
		autoResize = "1";
	};
	
	%headSwatch = new GuiSwatchCtrl() 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = getWord($lob::skill::extent,0) SPC 15;
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		color = "80 80 80 200";
	};
	
	%headTxt = new GuiMLTextCtrl() 
	{
		profile = "HUDChatTextEditSize4Profile";
		horizSizing = "center";
		vertSizing = "top";
		position = "0 0";
		extent = "84 15";
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		lineSpacing = "2";
		allowColorChars = "0";
		maxChars = "-1";
		text = "<font:impact:15><just:center>" @ %name;
		maxBitmapHeight = "-1";
		selectable = "0";
		autoResize = "1";
	};
	
	%mouseCtrl = new GuiMouseEventCtrl() 
	{
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "1 1";
		extent = $lob::skill::extent;
		minExtent = "8 2";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		lockMouse = "0";
		type = "LobCtrl";
		bodyCtrl = %bodySwatch;
	};
	
	%bodySwatch.add(%headSwatch);
	%bodySwatch.headSwatch = %headSwatch;
	%headSwatch.add(%headTxt);
	%bodySwatch.headTxt = %headTxt;
	%bodySwatch.add(%bodyTxt);
	%bodySwatch.bodyTxt = %bodyTxt;
	
	%bodySwatch.add(%mouseCtrl);
	%bodySwatch.mouseCtrl = %mouseCtrl;
	
	if($lob::skill::currCount >= 6)
	{
		$lob::skill::currRow++;
		$lob::skill::currCount = 0;
	}
	
	if($lob::skill::currCount == 0 && $lob::skill::currRow == 0)
		%position = "10 10";
	else
		%position = ($lob::skill::currCount * getWord($lob::skill::Extent+ 10,0)) + 10 SPC $lob::skill::currRow * getWord($lob::skill::Extent,1) + 10;
	
	if($lob::skill::currRow >= 1)
		%position = getWord(%position,0) SPC ( getWord(%position,1) + 10);
		
	%bodySwatch.position = %position;
		
	$lob::skill::currCount++;
	
	lob_skills_swatch.add(%bodySwatch);
	
}

function lob_skills::onWake(%this)
{
	commandToServer('myStats');
}

function clientCmdCatchSkillData(%this)
{
	%count = getWordCount(%this);
	%c=-1;
	%order[%c++] = "Combat";
	%order[%c++] = "Mining";
	%order[%c++] = "WoodCutting";
	%order[%c++] = "firemaking";
	%order[%c++] = "smithing";
	%order[%c++] = "smelting";
	%order[%c++] = "cooking";
	%order[%c++] = "climbing";
	
	for(%i=0;%i<%count;%i++)
	{
		%data = getWord(%this,%i);
		%split = strReplace(%data,"_"," ");
		
		%level = getWord(%split,0);
		%currExp = getWord(%split,1);
		%expNeeded = getWord(%split,2);

		%o = "lob_" @ %order[%i];
		%o.bodyTxt.setText("<font:impact:15><just:center>" @ %level @ "\n(" @ %currExp @ " / " @ %expNeeded @ ")");
	}
}

function clientCmdLob_registerSkill(%name,%command)
{
	lob_skills.RegisterSkill(%name,%command);
}

package lob_skills
{
	function guiMouseEventCtrl::onMouseEnter(%this,%a,%b,%c)
	{
		if(%this.type $= "LobCtrl")
		{
			%this.bodyCtrl.color = "220 220 220 200";
		}
		else
			parent::onMouseEnter(%this,%a,%b,%c,%d);
	}

	function guiMouseEventCtrl::onMouseLeave(%this,%a,%b,%c)
	{
		if(%this.type $= "LobCtrl")
		{
			%this.bodyCtrl.color = "150 150 150 200";
		}
		else
			parent::onMouseLeave(%this,%a,%b,%c);
	}
};

activatePackage(lob_skills);